The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete a protected object

Prev Next

This URL deletes a protected object.

Resource URL

DELETE /vmgroup/protectedObject/<Protected Object Id>

Request Parameters

URL Request Parameters:

Field Name Description Data Type Mandatory
Protected Object Id Protected object ID string Yes

Response Parameters

Following fields are returned in the response.

Field Name Description Data Type
success Indicates if the deletion of protected object is successful.

Value is set to true if the deletion of protected object is successful.

Value is set to false if the deletion of protected object is not successful.

string
msg Not applicable Not applicable
errMsg Not applicable Not applicable
domainName Not applicable Not applicable
data Not applicable Not applicable

Example

Request

DELETE https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup/protectedObject/14

Response

{
"success": true, 
"msg": null, 
"errMsg": null, 
"domainName": null, 
"data": null
}